
CoCoA-5 - Support #296

Documentation for Parser/Interpreter

24 Jan 2013 08:37 - Anna Maria Bigatti

Status: In Progress Start date: 24 Jan 2013

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 10%

Category: Manual/documentation Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.35 hour

Description

Even though the code is written quite well it would be handy to have some documentation ;-)

The most difficult question is "where should it be?" with CoCoALib doc?

Related issues:

Related to CoCoA-5 - Support #290: Which functions are defined in CoCoALibSup... In Progress 21 Dec 2012

Related to CoCoA-5 - Feature #193: BuiltinFunctions.C getting too long (2000 ... Closed 21 Jun 2012

Related to CoCoALib - Support #452: Documentation for adding functions to CoC... Closed 01 Mar 2014

Related to CoCoA-5 - Design #525: BuiltInFunctions: evalArgAsT1OrT2, evalArgA... Closed 08 Apr 2014

History

#1 - 24 Jan 2013 08:38 - Anna Maria Bigatti

- Category set to Manual/documentation

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.9

#2 - 24 Jan 2013 11:42 - John Abbott

I thought the most difficult question would be who is going to do it?

#3 - 24 Jan 2013 12:11 - Anna Maria Bigatti

I have already assigned it to myself as I'm the one most using it

#4 - 25 Mar 2014 17:42 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14

- % Done changed from 0 to 10

#5 - 09 Apr 2014 17:22 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

I think the doc for the parser/interpreter should be separate from CoCoALib doc; the doc should be somewhere in the subtree rooted at src/CoCoA-5/
